package cn.com.ctop.kuaishou.modules.ai.mapper;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouPopulationPackage;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目绑定的人群包模板
 *
 * @author jeecg-boot
 * 2021-05-06
 * @version V1.0
 */
public interface KuaishouPopulationPackageMapper extends BaseMapper<KuaishouPopulationPackage> {

    Long queryPageListTotal(@Param("userId") String userId, @Param("projectId") Long projectId, @Param("orientationName") String orientationName);

    List<JSONObject> queryPageList(@Param("userId") String userId, @Param("projectId") Long projectId, @Param("orientationName") String orientationName);

    Long queryUnitCount(@Param("id") Long id);

    List<JSONObject> getRelatedGroups(@Param("id") Long id, @Param("accountId") Long accountId);

    List<JSONObject> queryListByStatus();

    KuaishouPopulationPackage checkPopulationPackage(@Param("signature") String signature);
}
